Workspaces
Log in using the POST /api/v1/auth/ endpoint
42trueDE_IDENTIFYPossible values: duplicatePossible values: 11000000.0001-1as_given10*0enPossible values: false0.0001210001000501false1000falsenullnulltruenullnullnulltemporaryPossible values: 5000infoPossible values: nullnullnotificationPossible values: nullPUT /api/v1/engine/{engine_id}/update-settings/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 984
{
"seed_value": 42,
"use_seed": true,
"initialization_mode": "DE_IDENTIFY",
"key_generation_method": "duplicate",
"n_parallel_pipeline_processes": 1,
"default_n_training_rows": 100000,
"default_sample_noise_ratio": 0.0001,
"default_max_n_feat_per_model": -1,
"default_feat_model_train_order": "as_given",
"default_cardinality_threshold": 10,
"default_rare_category_replacement": "*",
"default_clip_threshold": 0,
"default_locale": "en",
"default_pii_mock_replace": false,
"default_noise_factor": 0.0001,
"default_textpii_parallel_jobs": 2,
"default_textpii_scan_batch_size": 1000,
"default_cutoff_length": 1000,
"default_min_sample_size": 5,
"default_consistent_integer_shuffle_threshold": 0,
"default_max_pending_tasks": 1,
"default_exclude_tables": false,
"default_n_preview_training_rows": 1000,
"default_compute_ai_preview": false,
"default_data_batch_size": 1,
"default_n_connections": 1,
"default_parallel_writing": true,
"pii_model_settings": {},
"default_text_processor_model_settings": {},
"id": "123e4567-e89b-12d3-a456-426614174000"
}{
"id": "text",
"code": "text",
"title": "text",
"body": [
"text"
],
"durability": "temporary",
"duration": 5000,
"kind": "info",
"details": {
"ANY_ADDITIONAL_PROPERTY": [
"text"
]
},
"payload": null,
"action": {},
"display": "notification",
"created_at": "text"
}List workspace
Log in using the POST /api/v1/auth/ endpoint
Success: Workspace List
GET /api/v1/workspaces/ HTTP/1.1
Accept: */*
Success: Workspace List
{
"workspaces": [
{
"pk": 1,
"name": "text",
"organization": 1,
"engine_id": "text",
"owner_name": "text",
"created_at": "2026-01-01T00:00:00.000Z",
"status": "text",
"engine": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"latest_job_status": "CREATED",
"connector_type": "text",
"source_database_status": "CURRENT"
},
"initialization_mode": "MOCK",
"key_generation_method": "duplicate",
"default_locale": "en"
}
]
}Create a new workspace and engine
Log in using the POST /api/v1/auth/ endpoint
The sample database to use
DE_IDENTIFYPossible values: duplicatePossible values: enPossible values: falseSuccess: Created workspace
nullnullnullnullnullnullPossible values: nullPossible values: nullPossible values: Failed
Connection error
POST /api/v1/workspaces/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 1299
{
"initialization_mode": "DE_IDENTIFY",
"key_generation_method": "duplicate",
"default_locale": "en",
"source": {
"hooks_params": {
"SSHTunnel": {
"host": "text",
"port": 1,
"username": "text",
"local_port": 1,
"local_host": "text",
"password": "text",
"pkey_password": "text",
"pkey": "text"
},
"SSL": {
"ca_filename": "text",
"cert_filename": "text",
"key_filename": "text",
"ssl_mode": "text",
"ca": "text",
"cert": "text",
"key": "text"
},
"Kerberos": {
"principal": "text",
"keytab_file": "text"
}
},
"is_source": true,
"connector_type": "text",
"host": "text",
"database": "text",
"username": "text",
"password": "text",
"schema_name": "text",
"port": 1433,
"protocol": "mssql+pyodbc",
"include_views": false,
"fast_executemany": true
},
"target": {
"hooks_params": {
"SSHTunnel": {
"host": "text",
"port": 1,
"username": "text",
"local_port": 1,
"local_host": "text",
"password": "text",
"pkey_password": "text",
"pkey": "text"
},
"SSL": {
"ca_filename": "text",
"cert_filename": "text",
"key_filename": "text",
"ssl_mode": "text",
"ca": "text",
"cert": "text",
"key": "text"
},
"Kerberos": {
"principal": "text",
"keytab_file": "text"
}
},
"is_source": true,
"connector_type": "text",
"host": "text",
"database": "text",
"username": "text",
"password": "text",
"schema_name": "text",
"port": 1433,
"protocol": "mssql+pyodbc",
"include_views": false,
"fast_executemany": true
},
"default_exclude_tables": false,
"name": "text",
"organization": 1
}{
"pk": 1,
"name": "text",
"organization": 1,
"engine_id": "text",
"owner_name": "text",
"created_at": "2026-01-01T00:00:00.000Z",
"status": "text",
"engine": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"latest_job_status": "CREATED",
"connector_type": "text",
"source_database_status": "CURRENT"
},
"initialization_mode": "MOCK",
"key_generation_method": "duplicate",
"default_locale": "en"
}Log in using the POST /api/v1/auth/ endpoint
nullnullnullnullnullnullPossible values: nullPossible values: nullPossible values: GET /api/v1/workspaces/{id}/ HTTP/1.1
Accept: */*
{
"pk": 1,
"name": "text",
"organization": 1,
"engine_id": "text",
"owner_name": "text",
"created_at": "2026-01-01T00:00:00.000Z",
"status": "text",
"engine": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"latest_job_status": "CREATED",
"connector_type": "text",
"source_database_status": "CURRENT"
},
"initialization_mode": "MOCK",
"key_generation_method": "duplicate",
"default_locale": "en"
}Update a workspace and engine
Log in using the POST /api/v1/auth/ endpoint
DE_IDENTIFYPossible values: duplicatePossible values: enPossible values: nullnullSuccess: Created workspace
nullnullnullnullnullnullPossible values: nullPossible values: nullPossible values: Failed
PUT /api/v1/workspaces/{id}/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 1227
{
"initialization_mode": "DE_IDENTIFY",
"key_generation_method": "duplicate",
"default_locale": "en",
"source": {
"hooks_params": {
"SSHTunnel": {
"host": "text",
"port": 1,
"username": "text",
"local_port": 1,
"local_host": "text",
"password": "text",
"pkey_password": "text",
"pkey": "text"
},
"SSL": {
"ca_filename": "text",
"cert_filename": "text",
"key_filename": "text",
"ssl_mode": "text",
"ca": "text",
"cert": "text",
"key": "text"
},
"Kerberos": {
"principal": "text",
"keytab_file": "text"
}
},
"is_source": true,
"connector_type": "text",
"host": "text",
"database": "text",
"username": "text",
"password": "text",
"schema_name": "text",
"port": 1,
"protocol": "text",
"include_views": true,
"fast_executemany": true
},
"target": {
"hooks_params": {
"SSHTunnel": {
"host": "text",
"port": 1,
"username": "text",
"local_port": 1,
"local_host": "text",
"password": "text",
"pkey_password": "text",
"pkey": "text"
},
"SSL": {
"ca_filename": "text",
"cert_filename": "text",
"key_filename": "text",
"ssl_mode": "text",
"ca": "text",
"cert": "text",
"key": "text"
},
"Kerberos": {
"principal": "text",
"keytab_file": "text"
}
},
"is_source": true,
"connector_type": "text",
"host": "text",
"database": "text",
"username": "text",
"password": "text",
"schema_name": "text",
"port": 1,
"protocol": "text",
"include_views": true,
"fast_executemany": true
},
"name": "text"
}{
"pk": 1,
"name": "text",
"organization": 1,
"engine_id": "text",
"owner_name": "text",
"created_at": "2026-01-01T00:00:00.000Z",
"status": "text",
"engine": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"latest_job_status": "CREATED",
"connector_type": "text",
"source_database_status": "CURRENT"
},
"initialization_mode": "MOCK",
"key_generation_method": "duplicate",
"default_locale": "en"
}Duplicates a workspace, including permissions
Log in using the POST /api/v1/auth/ endpoint
DE_IDENTIFYPossible values: duplicatePossible values: enPossible values: nullnullSuccess: Created workspace
nulltemporaryPossible values: 5000infoPossible values: nullnullnotificationPossible values: nullFailed
POST /api/v1/workspaces/{id}/duplicate/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 1227
{
"initialization_mode": "DE_IDENTIFY",
"key_generation_method": "duplicate",
"default_locale": "en",
"source": {
"hooks_params": {
"SSHTunnel": {
"host": "text",
"port": 1,
"username": "text",
"local_port": 1,
"local_host": "text",
"password": "text",
"pkey_password": "text",
"pkey": "text"
},
"SSL": {
"ca_filename": "text",
"cert_filename": "text",
"key_filename": "text",
"ssl_mode": "text",
"ca": "text",
"cert": "text",
"key": "text"
},
"Kerberos": {
"principal": "text",
"keytab_file": "text"
}
},
"is_source": true,
"connector_type": "text",
"host": "text",
"database": "text",
"username": "text",
"password": "text",
"schema_name": "text",
"port": 1,
"protocol": "text",
"include_views": true,
"fast_executemany": true
},
"target": {
"hooks_params": {
"SSHTunnel": {
"host": "text",
"port": 1,
"username": "text",
"local_port": 1,
"local_host": "text",
"password": "text",
"pkey_password": "text",
"pkey": "text"
},
"SSL": {
"ca_filename": "text",
"cert_filename": "text",
"key_filename": "text",
"ssl_mode": "text",
"ca": "text",
"cert": "text",
"key": "text"
},
"Kerberos": {
"principal": "text",
"keytab_file": "text"
}
},
"is_source": true,
"connector_type": "text",
"host": "text",
"database": "text",
"username": "text",
"password": "text",
"schema_name": "text",
"port": 1,
"protocol": "text",
"include_views": true,
"fast_executemany": true
},
"name": "text"
}{
"id": "text",
"code": "text",
"title": "text",
"body": [
"text"
],
"durability": "temporary",
"duration": 5000,
"kind": "info",
"details": {
"ANY_ADDITIONAL_PROPERTY": [
"text"
]
},
"payload": null,
"action": {},
"display": "notification",
"created_at": "text"
}Export workspace
Log in using the POST /api/v1/auth/ endpoint
Success: Exported Workspace
Forbidden
Not Found
Service Unavailable
GET /api/v1/workspaces/{id}/export/ HTTP/1.1
Accept: */*
binaryImport workspace
Log in using the POST /api/v1/auth/ endpoint
Unspecified request body
Success: Workspace import started
No content
Bad Request: Invalid input
Service Unavailable: Unable to start workspace import
PUT /api/v1/workspaces/{id}/import/ HTTP/1.1
Content-Type: multipart/form-data
Accept: */*
Content-Length: 38
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}No content
Log in using the POST /api/v1/auth/ endpoint
OWNER- OwnerEDITOR- EditorREADER- Reader
GET /api/v1/workspaces/{id}/members/ HTTP/1.1
Accept: */*
[
{
"pk": 1,
"workspace": 1,
"user": {
"pk": 1,
"first_name": "text",
"last_name": "text",
"full_name": "text",
"email": "name@gmail.com"
},
"role": "OWNER",
"data_access": true
}
]Last updated
Was this helpful?

